#!/bin/bash

{

#stop the dwh service if it is present on the system
systemctl stop ovirt-engine-dwhd || echo
su - postgres -c "psql -d engine -c \"UPDATE dwh_history_timekeeping SET var_value = 0 WHERE var_name = 'DwhCurrentlyRunning' AND var_value = '1';\"" || echo

su - postgres -c "psql -c \"ALTER SYSTEM SET password_encryption= 'scram-sha-256';\" -c \"SELECT pg_reload_conf();\"" &&

if test -f "/etc/ovirt-engine/engine.conf.d/10-setup-database.conf"; then
        pass_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-database.conf | grep ENGINE_DB_PASSWORD`
        user_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-database.conf | grep ENGINE_DB_USER`
        user=`echo $user_line |awk -F '"' '{print$2}'`
        password=`echo $pass_line |awk -F '"' '{print$2}'`
        enginedb=`su - postgres -c "psql -c \"ALTER USER $user with PASSWORD '$password';\""`
        printf "$enginedb"
        printf "\nEngine db password change successfull\n"
fi &&

if test -f "/etc/ovirt-engine/engine.conf.d/10-setup-dwh-database.conf"; then
        pass_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-dwh-database.conf | grep DWH_DB_PASSWORD`
        user_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-dwh-database.conf | grep DWH_DB_USER`
        user=`echo $user_line |awk -F '"' '{print$2}'`
        password=`echo $pass_line |awk -F '"' '{print$2}'`
        enginedb=`su - postgres -c "psql -c \"ALTER USER $user with PASSWORD '$password';\""`
        printf "$enginedb"
        printf "\nDWH db password change successfull\n"
fi &&

if test -f "/etc/ovirt-engine/engine.conf.d/10-setup-cinderlib-database.conf"; then
        pass_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-cinderlib-database.conf | grep CINDERLIB_DB_PASSWORD`
        user_line=`cat /etc/ovirt-engine/engine.conf.d/10-setup-cinderlib-database.conf | grep CINDERLIB_DB_USER`
        user=`echo $user_line |awk -F '"' '{print$2}'`
        password=`echo $pass_line |awk -F '"' '{print$2}'`
        enginedb=`su - postgres -c "psql -c \"ALTER USER $user with PASSWORD '$password';\""`
        printf "$enginedb"
        printf "\nCinderlib db password change successfull\n"
fi &&

if test -f "/etc/ovirt-engine-dwh/ovirt-engine-dwhd.conf.d/10-setup-grafana-database.conf"; then
        pass_line=`cat /etc/ovirt-engine-dwh/ovirt-engine-dwhd.conf.d/10-setup-grafana-database.conf | grep GRAFANA_DB_PASSWORD`
        user_line=`cat /etc/ovirt-engine-dwh/ovirt-engine-dwhd.conf.d/10-setup-grafana-database.conf | grep GRAFANA_DB_USER`
        user=`echo $user_line |awk -F '"' '{print$2}'`
        password=`echo $pass_line |awk -F '"' '{print$2}'`
        enginedb=`su - postgres -c "psql -c \"ALTER USER $user with PASSWORD '$password';\""`
        printf "$enginedb"
        printf "\nGrafana db password change successfull\n"
fi
} || {
exit 1
}
